aboutsummaryrefslogtreecommitdiff
path: root/pbuilder-satisfydepends-checkparams
diff options
context:
space:
mode:
authorLoïc Minier <lool@dooz.org>2007-03-31 22:48:01 +0200
committerLoïc Minier <lool@dooz.org>2007-03-31 22:48:01 +0200
commit0c4ec0d6856d80841ddebd5a41ba9bb42504d2fa (patch)
tree5bcc62668e648769d54e5623d25b32b524849902 /pbuilder-satisfydepends-checkparams
parent475cf4ec89d394984172dadc35f95d7edb90eaac (diff)
downloadpbuilder-0c4ec0d6856d80841ddebd5a41ba9bb42504d2fa.tar
pbuilder-0c4ec0d6856d80841ddebd5a41ba9bb42504d2fa.tar.gz
* Add missing pbuilder-satisfydepends-checkparams file.
Diffstat (limited to 'pbuilder-satisfydepends-checkparams')
-rwxr-xr-xpbuilder-satisfydepends-checkparams74
1 files changed, 74 insertions, 0 deletions
diff --git a/pbuilder-satisfydepends-checkparams b/pbuilder-satisfydepends-checkparams
new file mode 100755
index 0000000..3314c64
--- /dev/null
+++ b/pbuilder-satisfydepends-checkparams
@@ -0,0 +1,74 @@
+#!/bin/bash
+# pbuilder -- personal Debian package builder
+# Copyright (C) 2001,2002,2003,2005-2007 Junichi Uekawa
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#
+# module to satisfy build dependencies; parse command line parameters
+
+
+DEBIAN_CONTROL=debian/control
+CHROOTEXEC=""
+BD_REGEXP="build-(depends|depends-indep)"
+BC_REGEXP="build-(conflicts|conflicts-indep)"
+FORCEVERSION=""
+CONTINUE_FAIL="no"
+
+
+while [ -n "$1" ]; do
+ case "$1" in
+ --control|-c)
+ DEBIAN_CONTROL="$2"
+ shift; shift
+ ;;
+ --chroot)
+ CHROOTEXEC="chroot $2 "
+ shift; shift
+ ;;
+ --internal-chrootexec)
+ CHROOTEXEC="$2"
+ shift; shift
+ ;;
+ --binary-all)
+ BD_REGEXP='build-(depends|depends-indep)'
+ BC_REGEXP='build-(conflicts|conflicts-indep)'
+ shift
+ ;;
+ --binary-arch)
+ BD_REGEXP='build-depends'
+ BC_REGEXP='build-conflicts'
+ shift
+ ;;
+ --echo)
+ CHROOTEXEC="echo $CHROOTEXEC"
+ shift
+ ;;
+ --continue-fail)
+ CONTINUE_FAIL="yes"
+ shift
+ ;;
+ --force-version)
+ FORCEVERSION="yes"
+ shift;
+ ;;
+ --help|-h|*)
+ print_help
+ exit 1
+ ;;
+ esac
+done
+
+
+checkbuilddep_internal